petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchCreate

Creates a TAO Line Search object. Algorithms in TAO that use line-searches will automatically create one.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchCreate(MPI_Comm comm, TaoLineSearch *newls)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

newls -the new TaoLineSearch context Many br

### Available methods include

| more | - thuente Many br
| gpcg | - - unit - Do not perform any line search Many br

### Options Database Keys

| -tao_ls_type | - select which method TAO should use Many br

Many br

### See Also

TaoLineSearchSetType(), TaoLineSearchApply(), TaoLineSearchDestroy()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages